<template>
    <Content subtitle="Bus Stops" :data="busStops" :render-callback="renderCallback" :sort-callback="sortCallback"
        :show-placeholder="false" :searchable="true" :sortable="true" :filter-callback="filterCallback" />
</template>

<script lang="ts">
import { mapGetters } from "vuex";
import Content from '@/components/Content.vue';
import { defineComponent } from "vue";
import useBusStopUtils from '@/mixins/useBusStopUtils';

export default defineComponent({
    mixins: [useBusStopUtils],
    computed: {
        ...mapGetters(['busStops']),
    },
    components: {
        Content,
    }
});
</script>